SHOWKEY(1)

NOMBRE
showkey - examina los códigos enviados por el teclado

SINOPSIS
showkey [-h|--help] [-a|--ascii] [-s|--scancodes] [-k|--keycodes] [-V|--version]

DESCRIPCIÓN

showkey muestra en la salida estándar los códigos de rastreo o el código de tecla o el código `ascii' de cada tecla pulsada. En los dos primeros modos el programa se ejecuta hasta que hayan transcurrido 10 segundos desde la última pulsación de tecla o evento de liberación, o hasta que reciba una señal reconocible, como SIGTERM, desde otro proceso. En modo `ascii' el programa termina cuando el usuario teclea ^D.

When in scancode dump mode, showkey prints in hexadecimal format each byte received from the keyboard to the standard output. A new line is printed when an interval of about 0.1 seconds occurs between the bytes received, or when the internal receive buffer fills up. This can be used to determine roughly, what byte sequences the keyboard sends at once on a given key press. The scan code dumping mode is primarily intended for debugging the keyboard driver or other low level interfaces. As such it shouldn't be of much interest to the regular end-user. However, some modern keyboards have keys or buttons that produce scancodes to which the kernel does not associate a keycode, and, after finding out what these are, the user can assign keycodes with setkeycodes(8).

Cuando está en el modo predeterminado de volcado de códigos de tecla, showkey muestra en la salida estándar el número de código de tecla de cada tecla pulsada o liberada. La clase de evento, pulsación o liberación, también se muestra. Los códigos de teclas son números asignados por el núcleo a cada tecla física individual. Cada tecla tiene siempre solamente un número de código de tecla asociado, mientras que el teclado envía códigos de rastreo simples o múltiples cuando se pulsa. Empleando showkey en este modo, uno puede encontrar qué números usar en sus ficheros de mapas de teclado personalizados.

Cuando está en el modo de volcado `ascii', showkey muestra en la salida estándar el valor o los valores en base diez, en octal y en hexadecimal de la tecla pulsada, según el mapa de teclado presente.

OPCIONES

-h --help
    showkey muestra en la salida estándar de errores su número de versión, una opción de compilación y un corto mensaje sobre el modo de empleo, luego acaba.

-s --scancodes
    Arranca showkey en modo de volcado de códigos de rastreo.

-k --keycodes
    Arranca showkey en modo de volcado de códigos de tecla. Éste es el predeterminado, cuando no se dan opciones en la línea de órdenes.

-a --ascii
    Arranca showkey en modo de volcado `ascii'.

-V --version
    showkey prints version number and exits.

2.6 KERNELS
In 2.6 kernels key codes lie in the range 1-255, instead of 1-127. Key codes larger than 127 are returned as three bytes of which the low order 7 bits are: zero, bits 13-7, and bits 6-0 of the key code. The high order bits are: 0/1 for make/break, 1, 1.

In 2.6 kernels raw mode, or scancode mode, is not very raw at all. Scan codes are first translated to key codes, and when scancodes are desired, the key codes are translated back. Various transformations are involved, and there is no guarantee at all that the final result corresponds to what the keyboard hardware did send. So, if you want to know the scan codes sent by various keys it is better to boot a 2.4 kernel. Since 2.6.9 there also is the boot option atkbd.softraw=0 that tells the 2.6 kernel to return the actual scan codes.

AUTORES
Andries Brouwer <aeb@cwi.nl>

VÉASE TAMBIÉN
loadkeys(1), dumpkeys(1), keymaps(5), setkeycodes(8)

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.